Create account / Log in

VSQL Module for Vassal 3.3

Support for existing Vassal modules. Ask here if you need help with a specific module.

Moderators: uckelman, Tim M

VSQL Module for Vassal 3.3

Postby Brent Easton » June 28th, 2020, 12:58 pm

Hi VSQL Players,

I have uploaded a new version (4.3.0) of the VSQL module to the VSQL module page. It is awaiting moderation.

I have done nothing to the module except to edit the buildfile and moduledata to allow Vassal 3.3 to load the module without complaining about it being 'too old'.

I did some quick tests and it seems to work, but I will leave it to you guys to do more extensive testing and update the module page.

Regards,
Brent.
User avatar
Brent Easton
 
Posts: 2985
Joined: December 21st, 2007, 3:06 am
Location: Berry, NSW, Australia

Re: VSQL Module for Vassal 3.3

Postby Tim M » June 28th, 2020, 1:49 pm

module is now there
Tim,
Vassal Uber Geek/Guru

Problems? post your OS, Physical Mem, version of Vassal and Java plus the Module in question.
No developer can help with out that info, thx!
User avatar
Tim M
 
Posts: 1803
Joined: December 8th, 2007, 12:22 pm
Location: Earth

Re: VSQL Module for Vassal 3.3

Postby uckelman » June 28th, 2020, 8:56 pm

Thus spake Brent Easton:
> Hi VSQL Players,
>
> I have uploaded a new version (4.3.0) of the VSQL module to the VSQL
> module page. It is awaiting moderation.
>
> I have done nothing to the module except to edit the buildfile and
> moduledata to allow Vassal 3.3 to load the module without complaining
> about it being 'too old'.
>
> I did some quick tests and it seems to work, but I will leave it to you
> guys to do more extensive testing and update the module page.
>
> Regards,
> Brent.

Does VSQL subclass any classes which paint themselves? I thought I saw
a commit a while back incorporating some of the changes I made to VASL
for HiDPI. Am I misremembering? If you don't pick up any of the HiDPI
changes, and you have any classes affected by them, you're going to have
disastrously bad rendering on HiDPI systems.

--
J.
User avatar
uckelman
Site Admin
 
Posts: 8591
Joined: December 10th, 2007, 9:48 am
Location: Durham, England

Re: VSQL Module for Vassal 3.3

Postby Brent Easton » June 28th, 2020, 9:21 pm

Yes, it does have custom painting code, but I am having a load of trouble to even get the VSQL source to compile under Vassal 3.3 so am hoping to just get an initial version working without having to do so. My understanding is HiDPI rendering was already broken, so no worse off.

Some other potential issues have been raised that I need to deal with first.
User avatar
Brent Easton
 
Posts: 2985
Joined: December 21st, 2007, 3:06 am
Location: Berry, NSW, Australia

Re: VSQL Module for Vassal 3.3

Postby uckelman » June 28th, 2020, 9:27 pm

Thus spake Brent Easton:
> Yes, it does have custom painting code, but I am having a load of
> trouble to even get the VSQL source to compile under Vassal 3.3 so am
> hoping to just get an initial version working without having to do so.
> My understanding is HiDPI rendering was already broken, so no worse off.

Eh, no, that's not right.

In 3.2.17, VASSAL got upscaled on HiDPI systems. It didn't loook great,
but things were in the correct locations. If you're using code which
hasn't been updated for 3.3 on a HiDPI system with 3.3, you'll get
something totally unusable, not something ugly. Things won't be drawn
in the right places.

--
J.
User avatar
uckelman
Site Admin
 
Posts: 8591
Joined: December 10th, 2007, 9:48 am
Location: Durham, England

Re: VSQL Module for Vassal 3.3

Postby Brent Easton » June 28th, 2020, 10:01 pm

Well, I have a 3.3 module that is working for non-HiDPI users, so am better off than yesterday.

I need to speak to Yan about the best way to configure a repository holding custom code for a module. At the moment, ASLMap is refusing to subclass from Map at runtime when I try and debug it due to Java Module issues.

Once I have that cleaned up, I will revisit the HiDPI issues.
User avatar
Brent Easton
 
Posts: 2985
Joined: December 21st, 2007, 3:06 am
Location: Berry, NSW, Australia

Re: VSQL Module for Vassal 3.3

Postby Brent Easton » June 29th, 2020, 1:28 am

Official notice added to VSQL page.

== USING Vassal 3.3.1 and VSQL 4.3.0 ==
The latest release of Vassal is version 3.3.1 and will not load the existing VSQL.vmod version 4.2.2.

The VSQL-v430.mod module file has been modified to allow it to be loaded and used with Vassal version 3.3+. No other changes have been made. Until this version has been tested thoroughly under Vassal 3.3.1, the Vassal 3.2.17/VSQL 4.2.2 combination remains the officially supported version for VSQL play. Note also the incompatibility with HiDPI displays noted below.

It is possible to install both Vassal version 3.2.17 and version 3.3.1 on your computer at the same time. Select the custom install option when installing Vassal 3.3.1 and retain your 3.2.17 installation.

If you use the VSQL-v430.mod without renaming it to VSQL.mod and have any extensions installed, you will need to re-install those extensions against VSQL-v430.

Please post any issues you find on the Vassal forum, or forward them to me at b.easton @ exemail.com.au

NOTE that there is a known incompatibility between the Vassal 3.3.1/VSQL 4.3.0 combination and HiDPI displays such as MacOS Retina displays. Some features will be displayed in incorrect locations, or appear blurry. Users with HiDPI displays should not upgrade to VSQL 4.3.0. I am working on resolving this issue.
User avatar
Brent Easton
 
Posts: 2985
Joined: December 21st, 2007, 3:06 am
Location: Berry, NSW, Australia


Return to Module Support

Who is online

Users browsing this forum: No registered users and 4 guests